Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sql
Class LockHandler

    java.lang.Object
      org.deegree.io.datastore.sql.AbstractRequestHandler
          org.deegree.io.datastore.sql.LockHandler

    public class LockHandler

extends AbstractRequestHandler

Responsible for the handling of `LockFeature` requests.

Version:
  $Revision:$, $Date:$
Author:
  Markus Schneider, last edited by: $Author:$

Field Summary

Fields inherited from class org.deegree.io.datastore.sql.AbstractRequestHandler
`aliasGenerator, conn, datastore, FT_COLUMN, FT_PREFIX`

Constructor Summary
`LockHandler(AbstractSQLDatastore ds, TableAliasGenerator aliasGenerator, Connection conn, List<Lock> requestParts)` Creates a new `LockHandler` from the given parameters.

Method Summary
`(package private) Set<FeatureId>` | `determineFidsToLock()` Determines all `FeatureId`s that have to be locked.

Methods inherited from class org.deegree.io.datastore.sql.AbstractRequestHandler
`appendColumnsList, appendFeatureIdColumns, appendFeatureIdConstraint, appendFeatureIdConstraint, appendJoinCondition, appendJoins, appendQualifiedColumn, appendQualifiedColumnsList, determineAffectedAndModifiableFIDs, determineAffectedFIDs, determineSubFeatures, determineSuperFeatures, extractFeatureId, extractFeatureIds, extractFeatureIdsForceUnique`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LockHandler

    LockHandler(AbstractSQLDatastore ds,
                TableAliasGenerator aliasGenerator,
                Connection conn,
                List<Lock> requestParts)

  Creates a new `LockHandler` from the given parameters.

  Parameters:
    `ds` -
    `aliasGenerator` -
    `conn` -
    `requestParts` -

Method Detail

### determineFidsToLock

    Set<FeatureId> determineFidsToLock()
                                 throws DatastoreException

  Determines all `FeatureId`s that have to be locked.

  Returns:
    all `FeatureId`s that have to be locked
  Throws:
    `DatastoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org